summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-09-16 20:08:58 +0200
committerHans de Graaff <graaff@gentoo.org>2019-09-16 20:09:36 +0200
commit13d728bc761b9c0350b7ccb32372e2234bb5a824 (patch)
tree5cbdb6efe308edd4fdc05a06c0a24c373f6b55a1
parentpackage.mask: Last rite app-emulation/vmips as well (diff)
downloadgentoo-13d728bc761b9c0350b7ccb32372e2234bb5a824.tar.gz
gentoo-13d728bc761b9c0350b7ccb32372e2234bb5a824.tar.bz2
gentoo-13d728bc761b9c0350b7ccb32372e2234bb5a824.zip
net-news/snownews: fix compilation with ncurses
This package now requires unicode support for ncurses, otherwise compilation will fails. Fix the pkgconfig handling, drop the unicode USE flag and always require unicode support. Fixes: https://bugs.gentoo.org/690224 Package-Manager: Portage-2.3.69, Repoman-2.3.16 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
-rw-r--r--net-news/snownews/snownews-1.6.10.ebuild7
1 files changed, 4 insertions, 3 deletions
diff --git a/net-news/snownews/snownews-1.6.10.ebuild b/net-news/snownews/snownews-1.6.10.ebuild
index c718b5a16d64..e05f9d4fe085 100644
--- a/net-news/snownews/snownews-1.6.10.ebuild
+++ b/net-news/snownews/snownews-1.6.10.ebuild
@@ -11,11 +11,11 @@ SRC_URI="https://github.com/kouya/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 ~ppc ~x86 ~amd64-linux ~x86-linux ~x86-macos"
-IUSE="unicode"
+IUSE=""
COMMON_DEPEND="
>=dev-libs/libxml2-2.5.6
- >=sys-libs/ncurses-5.3:0=[unicode?]
+ >=sys-libs/ncurses-5.3:0=[unicode]
"
RDEPEND="
${COMMON_DEPEND}
@@ -32,7 +32,8 @@ BDEPEND="virtual/pkgconfig"
src_prepare() {
default
tc-export PKG_CONFIG
- sed -i 's|-lncurses|`\\$(PKG_CONFIG) --libs '"$(usex unicode ncursesw ncurses)"'`|' configure || die
+ local libs=$(${PKG_CONFIG} --libs ncursesw)
+ sed -i "s|-lncursesw\?|${libs}|" configure Config.mk.in || die
sed -i 's|$(INSTALL) -s snownews|$(INSTALL) snownews|' Makefile || die
}